/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\greater\armsofbane.cs
Lines of code: 41

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class armsofbane : RingmailArms
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public armsofbane() : base()
		{
		Name="Arms of Bane";
		Hue=1269;


		Attributes.AttackChance=20;
		Attributes.BonusMana=15;
		Attributes.RegenMana=2;
		

		
		ColdBonus = 5;
		EnergyBonus = 7;
		FireBonus = 10;
		PhysicalBonus = 13;
		PoisonBonus = 5;		
		}
		

		

		public armsofbane( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		
		public override void OnAfterLoad()
		{		
			Misc.ObjectConverter.ConvertItem(this,new YomotsuEldersSleeves());
		}		
	}
	
}